package com.googlecode.wicket.jquery.ui.dialog;

import java.util.Arrays;
import java.util.List;

/**
 * Button set to be used in a {@link MessageDialog} or {@link MessageFormDialog}
 *
 */
public enum DialogButton
{
	OK(AbstractDialog.BTN_OK),
	OK_CANCEL(AbstractDialog.BTN_OK, AbstractDialog.BTN_CANCEL),
	
	YES_NO(AbstractDialog.BTN_YES, AbstractDialog.BTN_NO),
	YES_NO_CANCEL(AbstractDialog.BTN_YES, AbstractDialog.BTN_NO, AbstractDialog.BTN_CANCEL);
	
	private final String[] buttons;

	private DialogButton(String... buttons)
	{
		this.buttons = buttons;
	}
	
	public List<String> toList()
	{
		return Arrays.asList(this.buttons);
	}
}
