package com.googlecode.wicket.jquery.ui.dialog;

import com.googlecode.wicket.jquery.ui.panel.JQueryFeedbackPanel;

/**
 * Predefined icons to be used in a {@link MessageDialog}
 */
public enum DialogIcon
{
	NONE(""),
	INFO(JQueryFeedbackPanel.INFO_ICO, JQueryFeedbackPanel.INFO_CSS),
	WARN(JQueryFeedbackPanel.WARN_ICO, JQueryFeedbackPanel.WARN_CSS),
	ERROR(JQueryFeedbackPanel.ERROR_ICO, JQueryFeedbackPanel.ERROR_CSS),
	LIGHT(JQueryFeedbackPanel.LIGHT_ICO, JQueryFeedbackPanel.LIGHT_ICO);
	
	private final String icon;
	private final String style;

	private DialogIcon(String icon)
	{
		this(icon, "");
	}

	private DialogIcon(String icon, String style)
	{
		this.icon = icon;
		this.style = style;
	}

	/**
	 * Gets the style variation (the jQuery style)
	 */
	public String getStyle()
	{
		return this.style;
	}

	@Override
	public String toString()
	{
		return this.icon;
	}
}