package com.googlecode.wicket.jquery.ui.utils;

import org.apache.wicket.request.IRequestParameters;
import org.apache.wicket.request.cycle.RequestCycle;
import org.apache.wicket.util.string.StringValue;

/**
 * Utility class for retrieving request parameters
 * 
 * @author Sebastien Briquet - sebastien@7thweb.net
 *
 */
public class RequestCycleUtils
{
	/**
	 * Gets the value of a query parameter
	 * @param name the name of the query parameter
	 * @return a {@link StringValue}
	 */
	public static StringValue getQueryParameterValue(String name)
	{
		final RequestCycle requestCycle = RequestCycle.get();
		final IRequestParameters parameters = requestCycle.getRequest().getQueryParameters();

		return parameters.getParameterValue(name);
	}

	/**
	 * Utility class
	 */
	private RequestCycleUtils()
	{
		
	}
}
