/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.googlecode.wicket.jquery.ui.widget;

import com.googlecode.wicket.jquery.ui.JQueryBehavior;
import com.googlecode.wicket.jquery.ui.JQueryContainer;

/**
 * Provides a jQuery accordion based on a {@link JQueryContainer}
 * 
 * @author Sebastien Briquet - sebastien@7thweb.net
 */
//TODO: 1.1 Accordion: options
public class Accordion extends JQueryContainer
{
	private static final long serialVersionUID = 1L;
	private static final String METHOD = "accordion";

	/**
	 * Constructor
	 * @param id the markup id
	 */
	public Accordion(String id)
	{
		super(id);
	}

	// IJQueryWidget //
	public JQueryBehavior newWidgetBehavior(String selector)
	{
		return new JQueryBehavior(selector, METHOD);
	}
}
